Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDVACCINEvalues

    java.lang.Object
      java.lang.Enum<CDVACCINEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDVACCINEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDVACCINEvalues>

    public enum CDVACCINEvalues

extends Enum<CDVACCINEvalues>

Java class for CD-VACCINEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-VACCINEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="polio"/>
         <enumeration value="diteper"/>
         <enumeration value="haemo"/>
         <enumeration value="mmr"/>
         <enumeration value="hepatitiesb"/>
         <enumeration value="mmr12"/>
         <enumeration value="dite12"/>
         <enumeration value="meningitisc"/>
         <enumeration value="influenza"/>
         <enumeration value="pneumonia"/>
         <enumeration value="ditepro"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`DITE_12`
`DITEPER`
`DITEPRO`
`HAEMO`
`HEPATITIESB`
`INFLUENZA`
`MENINGITISC`
`MMR`
`MMR_12`
`PNEUMONIA`
`POLIO`

Method Summary
`static CDVACCINEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDVACCINEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDVACCINEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POLIO

    public static final CDVACCINEvalues POLIO

### DITEPER

    public static final CDVACCINEvalues DITEPER

### HAEMO

    public static final CDVACCINEvalues HAEMO

### MMR

    public static final CDVACCINEvalues MMR

### HEPATITIESB

    public static final CDVACCINEvalues HEPATITIESB

### MMR_12

    public static final CDVACCINEvalues MMR_12

### DITE_12

    public static final CDVACCINEvalues DITE_12

### MENINGITISC

    public static final CDVACCINEvalues MENINGITISC

### INFLUENZA

    public static final CDVACCINEvalues INFLUENZA

### PNEUMONIA

    public static final CDVACCINEvalues PNEUMONIA

### DITEPRO

    public static final CDVACCINEvalues DITEPRO

Method Detail

### values

    public static CDVACCINEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDVACCINEvalues c : CDVACCINEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDVACCINEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDVACCINEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.